import 'package:i18n_extension/i18n_extension.dart';

extension Localization on String {
  static final _t = Translations.byLocale("hu_hu") +
      {
        "en_en": {
          // upsell titles
          "u_title_1": "Use more accounts?",
          "u_title_2": "Want to try the updates in advance?",
          "u_title_3": "\"Hi kitty, do you have an owner?\"",
          "u_title_4": "Would you write down your tasks?",
          "u_title_5": "Lazy to do maths?",
          "u_title_6": "I know, the plain grey is not very nice :P",
          "u_title_7":
              "\"What were we doing in class? Was there English homework??\"",
          "u_title_8": "Now that's something special!",
          "u_title_9": "Woah! What beautiful letters!",
          "u_title_10": "Need more suggestions?",
          "u_title_11": "Not epic, but ultra-super?",
          "u_title_12": "Do you even need it in your calendar?!",
          "u_title_13": "Wanna see your past years' grades?",
          // upsell descriptions
          "u_desc_1": "The limit increases with each tier.",
          "u_desc_2":
              "Subscribe to reFilc+ to receive beta updates in advance.",
          "u_desc_3": "For a unique greeting, just the lowest tier is enough!",
          "u_desc_4":
              "Support us and make a note of all your important things.",
          "u_desc_5":
              "reFilc+ makes it easier to calculate your projected average.",
          "u_desc_6": "With Gold tier, you can recolour to anything.",
          "u_desc_7": "No more questions in Gold.",
          "u_desc_8": "Upgrade to Gold to change the app icon.",
          "u_desc_9": "You can also change the font with Gold tier.",
          "u_desc_10":
              "Support us on Gold tier and use all the features of goal setting!",
          "u_desc_11": "With reFilc+ lowest tier it's also available!",
          "u_desc_12": "Sync your time-table with reFilc+ Gold!",
          "u_desc_13": "You can export every year's grades with reFilc+!",
          // button
          "subscribe": "Subscribe",
          "subscriber": "Subscribed",
          // other
          "copy_code_asap":
              "Copy your reFilc+ ID, in case you loose your device!",
        },
        "hu_hu": {
          // upsell titles
          "u_title_1": "Több fiókot használnál?",
          "u_title_2": "Előre kipróbálnád a frissítéseket?",
          "u_title_3": "\"Szia cica, van gazdád?\"",
          "u_title_4": "Felírnád a feladataid?",
          "u_title_5": "Lusta vagy matekozni?",
          "u_title_6": "Tudom, nem túl szép a sima szürke :P",
          "u_title_7": "\"Mit is csináltunk órán? Volt angol házi??\"",
          "u_title_8": "Ez aztán különleges!",
          "u_title_9": "Woah! Micsoda gyönyörű betűk!",
          "u_title_10": "Még több javaslat kell?",
          "u_title_11": "Nem epikus, hanem ultraszuper?",
          "u_title_12": "Még a naptáradba is kell?!",
          "u_title_13": "Szeretnéd látni az előző évi jegyeid?",
          // upsell descriptions
          "u_desc_1": "Minden támogatási szinttel egyre magasabb a limit.",
          "u_desc_2":
              "Fizess elő reFilc+-ra, hogy előre megkapd a béta frissítéseket.",
          "u_desc_3": "Az egyedi üdvözléshez elég csupán a legalsó szint!",
          "u_desc_4": "Támogass minket, és jegyezd fel minden fontos dolgod.",
          "u_desc_5": "reFilc+-al egyszerűbb kiszámolnod a tervezett átlagod.",
          "u_desc_6": "Gold szintű támogatással átszínezhetsz bármilyenre.",
          "u_desc_7": "Nincs több ilyen kérdés, ha Gold szinten támogatsz.",
          "u_desc_8":
              "Fizess elő Gold szintre az alkalmazás ikonjának megváltoztatásához.",
          "u_desc_9":
              "Gold szintű támogatással megváltoztathatod a betűtípust is.",
          "u_desc_10":
              "Támogass Gold szinten és használd ki a cél kitűzés minden funkcióját!",
          "u_desc_11": "A reFilc+ alap szintjével ez is elérhető!",
          "u_desc_12": "Szinkronizáld az órarended reFilc+ Gold-al!",
          "u_desc_13": "Minden évi jegyedet exportálhatod reFilc+-al!",
          // button
          "subscribe": "Előfizetés",
          "subscriber": "Előfizetve",
          // other
          "copy_code_asap":
              "Másold ki a reFilc+ ID-t, mielőtt elveszítenéd a telefonod!",
        },
        "de_de": {
          // upsell titles
          "u_title_1": "Mehr Accounts nutzen?",
          "u_title_2": "Willst du die Updates im vorraus testen?",
          "u_title_3": "\"Hallo mein Kätzchen, hast du einen besitzer?\"",
          "u_title_4": "Würdest du deine Aufgaben aufschreiben?",
          "u_title_5": "Faul um Mathe zu machen?",
          "u_title_6": "Ich weiß, das schlichte Grau ist nicht so toll :P",
          "u_title_7":
              "\"Was haben wir im Unterricht gemacht? Gab es Englisch Hausaufgaben??\"",
          "u_title_8": "Na das ist mal was besonderes!",
          "u_title_9": "Wow! Was für schöne Texte!",
          "u_title_10": "Brauchst du mehr Vorschläge?",
          "u_title_11":
              "Willst du vielleicht statt episch etwas anderes wie super?",
          "u_title_12": "Brauchst du das wirklich in deinem Kalender?!",
          "u_title_13": "Möchtest du deine Noten der vergangenen Jahre sehen?",
          // upsell descriptions
          "u_desc_1": "Das limit erhöht sich mit jedem Abo-plan.",
          "u_desc_2":
              "Abonniere reFilc+ um Beta Updates im vorraus zu erhalten.",
          "u_desc_3":
              "Für eine eigene Begrüßung ist der niedrigste Abo-Plan schon genug!",
          "u_desc_4":
              "Unterstütze uns und schreib alles wichtige für dich auf.",
          "u_desc_5":
              "reFilc+ macht es einfacher deinen Durchschnitt zu berechnen.",
          "u_desc_6": "Mit dem Gold-Plan, kannst du alles anders Färben.",
          "u_desc_7": "Keine weiteren Fragen mit Gold.",
          "u_desc_8": "Upgrade auf Gold um das App Icon zu ändern.",
          "u_desc_9":
              "Du kannst mit dem Gold-Plan auch die Schriftart verändern.",
          "u_desc_10":
              "Unterstütze uns mit einem Gold-Plan und benutze alle features des Ziel-setzens!",
          "u_desc_11":
              "Mit reFilc+ niedrigstem Abo-Plan ist es auch Verfügbar!",
          "u_desc_12": "Synchronisiere deinen Stundenplan mit reFilc+ Gold!",
          "u_desc_13": "Du kannst jede Jahresnote mit reFilc+ exportieren!",
          // button
          "subscribe": "Abonnieren",
          "subscriber": "im Abonnement",
          // other
          "copy_code_asap":
              "Kopieren Sie Ihre reFilc+ ID, bevor Sie Ihr Handy verlieren!",
        },
      };

  String get i18n => localize(this, _t);
  String fill(List<Object> params) => localizeFill(this, params);
  String plural(int value) => localizePlural(value, this, _t);
  String version(Object modifier) => localizeVersion(modifier, this, _t);
}
